edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TiXmlComment Class Reference

A XML Comment. More...

`#include <edelib/TiXml.h>`

Inheritance diagram for TiXmlComment:

## Public Member Functions
| TiXmlComment ()
| TiXmlComment (const char *_value)
| TiXmlComment (const TiXmlComment &)
void | operator= (const TiXmlComment &base)
virtual | ~TiXmlComment ()
virtual TiXmlNode * | Clone () const
virtual void | Print (FILE *cfile, int depth) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual const TiXmlComment * | ToComment () const
virtual TiXmlComment * | ToComment ()
virtual bool | Accept (TiXmlVisitor *visitor) const
Public Member Functions inherited from TiXmlNode
const char * | Value () const
void | SetValue (const char *_value)
void | Clear ()
TiXmlNode * | Parent ()
const TiXmlNode * | Parent () const
const TiXmlNode * | FirstChild () const
TiXmlNode * | FirstChild ()
const TiXmlNode * | FirstChild (const char *value) const
TiXmlNode * | FirstChild (const char *_value)
const TiXmlNode * | LastChild () const
TiXmlNode * | LastChild ()
const TiXmlNode * | LastChild (const char *value) const
TiXmlNode * | LastChild (const char *_value)
const TiXmlNode * | IterateChildren (const TiXmlNode *previous) const
TiXmlNode * | IterateChildren (const TiXmlNode *previous)
const TiXmlNode * | IterateChildren (const char *value, const TiXmlNode *previous) const
TiXmlNode * | IterateChildren (const char *_value, const TiXmlNode *previous)
TiXmlNode * | InsertEndChild (const TiXmlNode &addThis)
TiXmlNode * | LinkEndChild (TiXmlNode *addThis)
TiXmlNode * | InsertBeforeChild (TiXmlNode *beforeThis, const TiXmlNode &addThis)
TiXmlNode * | InsertAfterChild (TiXmlNode *afterThis, const TiXmlNode &addThis)
TiXmlNode * | ReplaceChild (TiXmlNode *replaceThis, const TiXmlNode &withThis)
bool | RemoveChild (TiXmlNode *removeThis)
const TiXmlNode * | PreviousSibling () const
TiXmlNode * | PreviousSibling ()
const TiXmlNode * | PreviousSibling (const char *) const
TiXmlNode * | PreviousSibling (const char *_prev)
const TiXmlNode * | NextSibling () const
TiXmlNode * | NextSibling ()
const TiXmlNode * | NextSibling (const char *) const
TiXmlNode * | NextSibling (const char *_next)
const TiXmlElement * | NextSiblingElement () const
TiXmlElement * | NextSiblingElement ()
const TiXmlElement * | NextSiblingElement (const char *) const
TiXmlElement * | NextSiblingElement (const char *_next)
const TiXmlElement * | FirstChildElement () const
TiXmlElement * | FirstChildElement ()
const TiXmlElement * | FirstChildElement (const char *_value) const
TiXmlElement * | FirstChildElement (const char *_value)
int | Type () const
const TiXmlDocument * | GetDocument () const
TiXmlDocument * | GetDocument ()
bool | NoChildren () const
virtual const TiXmlDocument * | ToDocument () const
virtual const TiXmlElement * | ToElement () const
virtual const TiXmlUnknown * | ToUnknown () const
virtual const TiXmlText * | ToText () const
virtual const TiXmlDeclaration * | ToDeclaration () const
virtual TiXmlDocument * | ToDocument ()
virtual TiXmlElement * | ToElement ()
virtual TiXmlUnknown * | ToUnknown ()
virtual TiXmlText * | ToText ()
virtual TiXmlDeclaration * | ToDeclaration ()
Public Member Functions inherited from TiXmlBase
int | Row () const
int | Column () const
void | SetUserData (void *user)
void * | GetUserData ()
const void * | GetUserData () const

## Additional Inherited Members
Public Types inherited from TiXmlNode
enum | NodeType { DOCUMENT, ELEMENT, COMMENT, UNKNOWN, TEXT, DECLARATION, TYPECOUNT }
Static Public Member Functions inherited from TiXmlBase
static void | SetCondenseWhiteSpace (bool condense)
static bool | IsWhiteSpaceCondensed ()
Protected Member Functions inherited from TiXmlNode
| TiXmlNode (NodeType _type)
void | CopyTo (TiXmlNode *target) const
TiXmlNode * | Identify (const char *start, TiXmlEncoding encoding)
Static Protected Member Functions inherited from TiXmlBase
static const char * | ReadName (const char *p, edelib::String *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, edelib::String *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static void | PutString (const edelib::String &str, edelib::String *out)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
Protected Attributes inherited from TiXmlBase
TiXmlCursor | location
void * | userData
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

A XML Comment.

## Constructor & Destructor Documentation

TiXmlComment | ( |  | ) |
| inline

Constructs an empty comment

TiXmlComment | ( | const char * | _value | ) |
| inline

Construct a comment from text

References TiXmlNode::SetValue().

TiXmlComment | ( | const TiXmlComment & |  | ) |

Construct a comment from TiXmlComment

virtual ~TiXmlComment | ( |  | ) |
| inline virtual

Destructor

## Member Function Documentation

virtual bool Accept | ( | TiXmlVisitor * | visitor | ) | const
| virtual

Walk the XML tree visiting this node and all of its children

Implements TiXmlNode.

virtual TiXmlNode* Clone | ( |  | ) | const
| virtual

Returns a copy of this Comment

Implements TiXmlNode.

void operator= | ( | const TiXmlComment & | base | ) |

Construct a comment from TiXmlComment

virtual const char* Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding
| ) |  |
| virtual

Attribtue parsing starts: at the ! of the !– returns: next char past '>'

virtual void Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const
| virtual

Write this Comment to a FILE stream

Implements TiXmlBase.

virtual const TiXmlComment* ToComment | ( |  | ) | const
| inline virtual

Cast to a more defined type. Will return null not of the requested type

Reimplemented from TiXmlNode.

virtual TiXmlComment* ToComment | ( |  | ) |
| inline virtual

Cast to a more defined type. Will return null not of the requested type

Reimplemented from TiXmlNode.

The documentation for this class was generated from the following file:

- edelib/TiXml.h